package com.pcloud.book.push.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/4/17 15:52
 **/
@ApiModel("消息推送群关联模型")
public class PushGroup extends BaseEntity {

    @ApiModelProperty("消息推送id")
    private Long pushId;

    @ApiModelProperty("书id")
    private Long bookId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("微信二维码标识")
    private Long bookGroupQrcodeId;

    @ApiModelProperty("是否删除")
    private Boolean isDelete;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    public Long getPushId() {
        return pushId;
    }

    public void setPushId(Long pushId) {
        this.pushId = pushId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupQrcodeId() {
        return bookGroupQrcodeId;
    }

    public void setBookGroupQrcodeId(Long bookGroupQrcodeId) {
        this.bookGroupQrcodeId = bookGroupQrcodeId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public String toString() {
        return "PushGroup{" +
                "pushId=" + pushId +
                ", bookId=" + bookId +
                ", classifyId=" + classifyId +
                ", bookGroupQrcodeId=" + bookGroupQrcodeId +
                ", isDelete=" + isDelete +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                "} " + super.toString();
    }
}
